Api key rightsId
Update an API key right
Renames or updates metadata for an existing API key right definition.
Path Parameters
id*string
UUID that identifies an API key or API key right (api_keys_id, api_key_rights_id).
Format
uuidHeader Parameters
apikey*string
The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.
Request Body
application/json
name*string
description?|
Response Body
application/json
application/json
curl -X PATCH "https://athena-cluster.com/admin/api-key-rights/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "apikey: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"right": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}Empty
{
"status": "error",
"message": "string",
"error": "string"
}